"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var composeContinuation_1 = require("../composeContinuation");
it("composeContinuation is requireable", function () {
    expect.assertions(1);
    expect(composeContinuation_1.default).toBeTruthy();
});
it("it composes no-op functions to produce passed value", function () {
    expect.assertions(2);
    var id = function (x) { return x; };
    var noop = function (_, next) { return next(); };
    var f = composeContinuation_1.default([noop, noop]);
    expect(f(true, id)).toEqual(true);
    expect(f(false, id)).toEqual(false);
});
it("it exits early if next is not called", function () {
    expect.assertions(1);
    var o = {};
    var id = function (x) { return x; };
    var noop = function (_, next) { return next(); };
    var exit = function () { return o; };
    var f = composeContinuation_1.default([noop, exit]);
    expect(f(true, id)).toEqual(o);
});
//# sourceMappingURL=composeContinuation.test.js.map