"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var composeEvery_1 = require("../composeEvery");
it("composeEvery is requireable", function () {
    expect.assertions(1);
    expect(composeEvery_1.default).toBeTruthy();
});
it("it composes identity functions to produce passed value", function () {
    expect.assertions(2);
    var id = function (x) { return x; };
    var f = composeEvery_1.default([id, id]);
    expect(f(true)).toEqual(true);
    expect(f(false)).toEqual(false);
});
it("it composes value generating functions", function () {
    expect.assertions(8);
    var yes = function () { return true; };
    var no = function () { return false; };
    expect(composeEvery_1.default([yes, yes])(true)).toEqual(true);
    expect(composeEvery_1.default([yes, yes])(false)).toEqual(true);
    expect(composeEvery_1.default([yes, no])(true)).toEqual(false);
    expect(composeEvery_1.default([yes, no])(false)).toEqual(false);
    expect(composeEvery_1.default([no, yes])(true)).toEqual(false);
    expect(composeEvery_1.default([no, yes])(false)).toEqual(false);
    expect(composeEvery_1.default([no, no])(true)).toEqual(false);
    expect(composeEvery_1.default([no, no])(false)).toEqual(false);
});
//# sourceMappingURL=composeEvery.test.js.map