"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getBoundImplementations_1 = require("../getBoundImplementations");
it("it extracts methods from objects and calls with correct context", function () {
    expect.assertions(5);
    var makeTestObj = function () {
        var self = {
            fn: function (v) {
                expect(this).toBeTruthy();
                expect(v).toEqual(true);
            },
        };
        return self;
    };
    var objs = [
        makeTestObj(),
        makeTestObj(),
        {},
    ];
    var impls = getBoundImplementations_1.default("fn", objs);
    expect(impls.length).toEqual(2);
    impls.forEach(function (impl) {
        impl(true);
    });
});
//# sourceMappingURL=getBoundImplementations.test.js.map