"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function composePromise(fns) {
    return fns.reduceRight(function (next, f) { return (function (v) {
        var rest = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            rest[_i - 1] = arguments[_i];
        }
        return Promise.resolve(v)
            .then(function (w) { return f.apply(void 0, [w].concat(rest)); })
            .then(function (x) { return next.apply(void 0, [x].concat(rest)); });
    }); }, function (v) { return Promise.resolve(v); });
}
exports.default = composePromise;
//# sourceMappingURL=composePromise.js.map