"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function sideEffect(fn) {
    return function (v) {
        var rest = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            rest[_i - 1] = arguments[_i];
        }
        fn.apply(void 0, [v].concat(rest));
        return v;
    };
}
exports.default = sideEffect;
//# sourceMappingURL=sideEffect.js.map