"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var hapi_1 = require("hapi");
var routes_1 = require("./routes");
function default_1(opts) {
    if (opts === void 0) { opts = {}; }
    var server = new hapi_1.Server();
    server.connection({
        port: opts.port,
    });
    server.route(routes_1.routes);
    routes_1.states.forEach(function (state) { return server.state(state.name, state.config); });
    return server;
}
exports.default = default_1;
//# sourceMappingURL=server.js.map