"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sideEffect_1 = require("../sideEffect");
it("it returns passed in value", function () {
    expect.assertions(2);
    var id = function (x) { return x; };
    var f = sideEffect_1.default(id);
    expect(f(true)).toEqual(true);
    expect(f(false)).toEqual(false);
});
it("calls supplied function", function () {
    expect.assertions(1);
    var inner = function (x) {
        expect(x).toEqual(true);
        return false;
    };
    sideEffect_1.default(inner)(true);
});
it("passes many arguments to supplied function", function () {
    expect.assertions(2);
    var inner = function (x, y) {
        expect(x).toEqual(true);
        expect(y).toEqual(false);
    };
    sideEffect_1.default(inner)(true, false);
});
it("ignored function's return value", function () {
    expect.assertions(1);
    var result = sideEffect_1.default(function (_) { return false; })(true);
    expect(result).toEqual(true);
});
//# sourceMappingURL=sideEffect.test.js.map