"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function composeEvery(fns) {
    return fns.reduceRight(function (next, f) { return (function (v) { return (f(v)
        ? next(v)
        : false); }); }, function (_) { return true; });
}
exports.default = composeEvery;
//# sourceMappingURL=composeEvery.js.map