"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function composeVoid(fns) {
    return fns.reduceRight(function (next, f) { return (function (v) {
        f(v);
        next(v);
    }); }, function (_) { return null; });
}
exports.default = composeVoid;
//# sourceMappingURL=composeVoid.js.map